package q1k2.pxlx.train.common;

/**
 * 年度计划_刘维常量类
 *
 * @author 刘维
 * @version 1.0
 * @date 2024-06-26 11:17:35
 */
public class Q1k2YearPlanConstant {

    public static final String FORMBILLID = "q1k2_year_plan";
    /**
     * 缺省id字段
     **/
    public static final String ID = "id";
    /**
     * 单据编号
     **/
    public static final String BILLNO = "billno";
    /**
     * 单据状态
     **/
    public static final String BILLSTATUS = "billstatus";
    /**
     * 创建人
     **/
    public static final String CREATOR = "creator";
    /**
     * 修改人
     **/
    public static final String MODIFIER = "modifier";
    /**
     * 审核人
     **/
    public static final String AUDITOR = "auditor";
    /**
     * 审核日期
     **/
    public static final String AUDITDATE = "auditdate";
    /**
     * 修改时间
     **/
    public static final String MODIFYTIME = "modifytime";
    /**
     * 创建时间
     **/
    public static final String CREATETIME = "createtime";
    /**
     * 组织
     **/
    public static final String ORG = "org";

    /**
     * 行政组织
     **/
    public static final String Q1K2_ADMINORG = "q1k2_adminorg";
    /**
     * 单据体
     **/
    public static final String Q1K2_YEAR_PLAN_ITEM = "q1k2_year_plan_item";
    /**
     * 分录行号
     **/
    public static final String SEQ = "seq";
    /**
     * 修改人
     **/
    public static final String MODIFIERFIELD = "modifierfield";
    /**
     * 修改时间
     **/
    public static final String MODIFYDATEFIELD = "modifydatefield";
    /**
     * 项目名称
     **/
    public static final String Q1K2_ITEM_PROJECTNAME = "q1k2_item_projectname";
    /**
     * 实施部门
     **/
    public static final String Q1K2_ITEM_ORG = "q1k2_item_org";
    /**
     * 培训类型
     **/
    public static final String Q1K2_ITEM_TYPE = "q1k2_item_type";
    /**
     * 培训主要内容
     **/
    public static final String Q1K2_ITEM_CONTENT = "q1k2_item_content";
    /**
     * 培训级别
     **/
    public static final String Q1K2_ITEM_LEVEL = "q1k2_item_level";
    /**
     * 培训对象
     **/
    public static final String Q1K2_ITEM_OBJ = "q1k2_item_obj";
    /**
     * 培训形式
     **/
    public static final String Q1K2_ITEM_TRAININGTYPE = "q1k2_item_trainingtype";
    /**
     * 师资来源
     **/
    public static final String Q1K2_ITEM_SOURCE = "q1k2_item_source";
    /**
     * 讲师
     **/
    public static final String Q1K2_ITEM_LECTURER = "q1k2_item_lecturer";
    /**
     * 预算
     **/
    public static final String Q1K2_ITEM_BUDGET = "q1k2_item_budget";
    /**
     * 天数
     **/
    public static final String Q1K2_ITEM_DAYS = "q1k2_item_days";
    /**
     * 人次合计
     **/
    public static final String Q1K2_ITEM_COUNT = "q1k2_item_count";
    /**
     * 课时
     **/
    public static final String Q1K2_ITEM_HOURS = "q1k2_item_hours";
    /**
     * 地点
     **/
    public static final String Q1K2_ITEM_ADDRESS = "q1k2_item_address";
    /**
     * 本部预算金额
     **/
    public static final String Q1K2_ITEM_BUDGET_SELF = "q1k2_item_budget_self";
    /**
     * 联系人
     **/
    public static final String Q1K2_ITEM_CONTACTS = "q1k2_item_contacts";
    /**
     * 联系电话
     **/
    public static final String Q1K2_ITEM_PHONE = "q1k2_item_phone";
    /**
     * 所属计划
     **/
    public static final String Q1K2_ITEM_YEAR_PLAN = "q1k2_item_year_plan";

    public static final String Q1K2_ITEM_MONTH = "q1k2_item_month";
    /**
     * 一月
     **/
    public static final String Q1K2_ITEM_MONTH1 = "q1k2_item_month1";
    /**
     * 八月
     **/
    public static final String Q1K2_ITEM_MONTH8 = "q1k2_item_month8";
    /**
     * 二月
     **/
    public static final String Q1K2_ITEM_MONTH2 = "q1k2_item_month2";
    /**
     * 三月
     **/
    public static final String Q1K2_ITEM_MONTH3 = "q1k2_item_month3";
    /**
     * 四月
     **/
    public static final String Q1K2_ITEM_MONTH4 = "q1k2_item_month4";
    /**
     * 五月
     **/
    public static final String Q1K2_ITEM_MONTH5 = "q1k2_item_month5";
    /**
     * 六月
     **/
    public static final String Q1K2_ITEM_MONTH6 = "q1k2_item_month6";
    /**
     * 七月
     **/
    public static final String Q1K2_ITEM_MONTH7 = "q1k2_item_month7";
    /**
     * 九月
     **/
    public static final String Q1K2_ITEM_MONTH9 = "q1k2_item_month9";
    /**
     * 十月
     **/
    public static final String Q1K2_ITEM_MONTH10 = "q1k2_item_month10";
    /**
     * 十一月
     **/
    public static final String Q1K2_ITEM_MONTH11 = "q1k2_item_month11";
    /**
     * 十二月
     **/
    public static final String Q1K2_ITEM_MONTH12 = "q1k2_item_month12";
    /**
     * 创建组织
     **/
    public static final String Q1K2_CREATEORG = "q1k2_createorg";
    /**
     * 名称
     **/
    public static final String Q1K2_NAME = "q1k2_name";
    /**
     * 年度
     **/
    public static final String Q1K2_YEAR = "q1k2_year";
    /**
     * 总预算
     **/
    public static final String Q1K2_BUDGET = "q1k2_budget";
    /**
     * 总人次
     **/
    public static final String Q1K2_COUNT = "q1k2_count";
    /**
     * 总课时
     **/
    public static final String Q1K2_HOURS = "q1k2_hours";
    /**
     * 是否拆分月度计划
     **/
    public static final String Q1K2_SPLITMONTHPLAN = "q1k2_splitmonthplan";
    /**
     * 是否已经生成月度计划
     **/
    public static final String Q1K2_GENERATE_MONTH = "q1k2_generate_month";
}