package q1k2.pxlx.train.plugin.form;

import com.alibaba.fastjson.JSONArray;
import kd.bos.form.plugin.AbstractFormPlugin;
import kd.bos.list.BillList;
import kd.bos.orm.query.QCP;
import kd.bos.orm.query.QFilter;
import kd.sdk.plugin.Plugin;

import java.util.*;

/**
 * 年度计划详情动态表单插件
 */
public class YearPlanListDetailPlugin extends AbstractFormPlugin implements Plugin {
    @Override
    public void afterCreateNewData(EventObject e) {
        super.afterCreateNewData(e);
        //获取父页面的传参
        JSONArray ids = this.getView().getFormShowParameter().getCustomParam("ids");
        QFilter filter = new QFilter("id", QCP.in, ids.toArray());
        //获取单据列表控件
        BillList billList = this.getView().getControl("q1k2_billlistap");
        //设置过滤条件
        billList.setFilter(filter);
        //刷新
        billList.refresh();
    }
}